#1 2018-10-09 11:00:23

iperdomo
Member
Registered: 2018-10-09
Posts: 2

Warnings with ReportServer 3.0.4 on Tomcat 9 / JRE 11

Hi all,

Not sure if this is the right medium to report this issue. I've tested ReportServer 3.0.4 on Tomcat 9 / JRE 11

Here you have some warnings that should be notified to the authors/maintainers

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by net.datenwerke.rs.configservice.service.configservice.LibDirClasspathHelper (file:/usr/local/tomcat/webapps/ROOT/WEB-INF/lib/reportserver.jar) to method java.net.URLClassLoader.addURL(java.net.URL)
WARNING: Please consider reporting this to the maintainers of net.datenwerke.rs.configservice.service.configservice.LibDirClasspathHelper
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

The application works fine for the small tests I made (generate a simple report).

Environment:
- Docker image: tomcat:9-jre11
- Database: PostgreSQL 9.6

The full start log can be found: https://gist.githubusercontent.com/iper … server.log

Cheers,

Iván

Offline

#2 2018-10-09 13:51:19

iperdomo
Member
Registered: 2018-10-09
Posts: 2

Re: Warnings with ReportServer 3.0.4 on Tomcat 9 / JRE 11

When running with --illegal-access=warn another classes shows up.

WARNING: Illegal reflective access by net.datenwerke.rs.fileserver.service.fileserver.FileServerStartup (file:/usr/local/tomcat/webapps/ROOT/WEB-INF/lib/reportserver.jar) to field java.net.URL.handlers
WARNING: Illegal reflective access by com.google.gwt.user.client.rpc.core.java.util.LinkedHashMap_CustomFieldSerializer (file:/usr/local/tomcat/webapps/ROOT/WEB-INF/lib/gwt-servlet-2.7.0.jar) to field java.util.LinkedHashMap.accessOrder

Offline

#3 2018-10-16 07:15:16

eduardo
Administrator
Registered: 2016-11-01
Posts: 759

Re: Warnings with ReportServer 3.0.4 on Tomcat 9 / JRE 11

Hi Iván,

please use reportserver with java 8. We are working on support for newer java versions. But, for the moment, please use Java 8 (from Oracle, not openJdk).

Regards,
Eduardo

Offline

#4 2018-10-19 13:17:09

Compo
Member
Registered: 2018-10-12
Posts: 1

Re: Warnings with ReportServer 3.0.4 on Tomcat 9 / JRE 11

Hi Eduardo, I'm just curious as to when we can expect the newer Java versions support?

Offline

#5 2018-10-20 10:39:17

eduardo
Administrator
Registered: 2016-11-01
Posts: 759

Re: Warnings with ReportServer 3.0.4 on Tomcat 9 / JRE 11

Hi Compo,

the next java version we will support will be java 11. But this will have to wait because of lack of support of the libraries reportserver uses (gwt, gxt, etc). Some more information here:
https://forum.reportserver.net/viewtopi … 4907#p4907

Regards,
Eduardo

Offline

Board footer

Powered by FluxBB